Bug 3453 - Upon SourceWindow re-generation, highlighted line defaults to innermost frame
Summary: Upon SourceWindow re-generation, highlighted line defaults to innermost frame
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Mike Cvet
URL:
Keywords:
Depends on:
Blocks: 1633
  Show dependency treegraph
 
Reported: 2006-11-03 15:20 UTC by Mike Cvet
Modified: 2006-11-23 22:56 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Cvet 2006-11-03 15:20:15 UTC
from #3346:

------- Additional Comment #2 From Yao Qi 2006-10-19 06:25 [reply] ------- 
Hi, Mike,
I run run/stop buttons for a test.

There is one problem about run/stop buttons.  When I click stop button at the
time target program is runnig, this button indeed stop the target program and
highlight the source code in that line.  However, the SW still could not display
the source code around the hightlight line, but display source code always from
line #1.  This problem is a little like what we have discusssed before.
Comment 1 Mike Cvet 2006-11-23 22:56:53 UTC
Fixed in CVS; after a step or a continue, the previously selected frame is 
searched for. If it is found, its currently executing line is highlighted; 
otherwise highlighting defaults to the innermost frame.